package com.juceliodev.fooddeliverymyapplication.data

import androidx.annotation.DrawableRes
import com.juceliodev.fooddeliverymyapplication.R

data class ProductHighlightState(
    val text: String,
    val type: ProductHighlightType
)

enum class ProductHighlightType {
    PRIMARY, SECONDARY
}

data class ProductPreviewState(
    val headline: String = "AYAM BAKAR MAS KRIS",
    @DrawableRes val productImg: Int = R.drawable.img_bakar,
    val highlights: List<ProductHighlightState> = listOf(
        ProductHighlightState(
            text = "manteep",
            type = ProductHighlightType.SECONDARY
        ),
        ProductHighlightState(
            text = "Bestseller",
            type = ProductHighlightType.PRIMARY
        )
    )
)